Bug 436680 - Boot crashes bringing up rt61 wireless interface after upgrading to kernel 2.6.24.3-12
Boot crashes bringing up rt61 wireless interface after upgrading to kernel 2....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 03:36 EDT by Patrick Sefton
Modified: 2008-03-14 10:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.6.24.3-34.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 10:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Sefton 2008-03-09 03:36:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
After upgrading from kernel-2.6.24.3-12.fc8 to kernel-2.6.23.15-137.fc8 and rebooting, wireless did not work.  I re-configured the wireless adapter using system-config-network.  Now the boot stalls / crashes at the line "Bringing up interface wlan0"

Version-Release number of selected component (if applicable):
kernel-2.6.23.15-137.fc8

How reproducible:
Always


Steps to Reproduce:
1. Upgrade from kernel-2.6.24.3-12.fc8 to kernel-2.6.23.15-137.fc8
2. Reboot -- wireless does not work at all
3. Use system-config-network to re-configure wireless adapter
4. Reboot
5. Boot stalls at "Bringing up interface wlan0"

Actual Results:
Machine will not boot -- stalls at "Bringing up interface wlan0"

Expected Results:
Boot should have proceeded, interface should have come up and then obtained an address through dhclient.  (Still works reliably under kernel-2.6.23.15-137.fc8).

Additional info:
May have something to do with setting Mode=Managed for the wireless card; on some reboots, the machine stalls after "Error for wireless request "Set Mode" (8B06) :"
Comment 1 Patrick Sefton 2008-03-09 09:19:15 EDT
Confirm this can be worked-around by downloading, building & installing a more
up-to-date version of the rt2x00 wireless modules (I used the
rt2x00-cvs-2008030906 snapshot).  Download from rt2x00.serialmonkey.com.  Could
updated rt2x00 wireless module be included in the next kernel update?  Thanks,
Patrick.
Comment 2 John W. Linville 2008-03-13 11:10:50 EDT
The kernels here contain an update to rt2x00 version 2.1.4:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=42735

Could you give those kernels a try to see if they resolve this issue for you?
Comment 3 Patrick Sefton 2008-03-13 15:59:17 EDT
Thanks.  I confirm updating to 2.6.24.3-34.fc8 resolves this problem for me.

Note: I do see the following during boot (which I had not seen before):

"Bringing up interface wlan0: Error for wireless request "Set Encode" (8B2A):
SET failed on device wlan0; No such file or directory."

This seems like an unrelated problem though, and doesn't seem to affect the
operation of wlan0, which now works fine.

Patrick.

Note You need to log in before you can comment on or make changes to this bug.